> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Displays Endpoint V3



## OpenAPI

````yaml /api-reference/openapi/storefront.json post /v3/get-displays
openapi: 3.1.0
info:
  title: Depict Platform API
  version: '1.0'
  description: >-
    The Depict platform API at api.depict.ai: storefront-facing search,
    listings, recommendations and event tracking for headless integrations. Not
    to be confused with the storefront search API (runway.depict.ai) used by the
    Search by Depict Shopify app.
servers:
  - url: https://api.depict.ai
security: []
paths:
  /v3/get-displays:
    post:
      tags:
        - Recommendations
        - V3
      summary: Get Displays Endpoint V3
      operationId: get_displays_endpoint_v3_v3_get_displays_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDisplaysRequestV3'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetDisplaysRequestV3:
      properties:
        market:
          type: string
          minLength: 1
          title: Market
          description: Market identifier
        product_ids:
          items:
            type: string
          type: array
          maxItems: 50
          minItems: 1
          title: Product Ids
        merchant:
          type: string
          minLength: 1
          title: Merchant
          description: Identifier associated with the API integration
        locale:
          type: string
          minLength: 1
          title: Locale
          description: Locale identifier
      type: object
      required:
        - market
        - product_ids
        - merchant
        - locale
      title: GetDisplaysRequestV3
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````